Arctic Fox

AmigaOne X1000 platform specific issues related to Linux only.
User avatar
xeno74
Posts: 9380
Joined: Fri Mar 23, 2012 7:58 am

Re: Arctic Fox

Post by xeno74 »

You need the libatomic1 package for Arctic Fox 44.0 on Ubuntu 10.04.4.

Download: libatomic-ubuntu10.04-powerpc.tar.bz2

Please copy the file 'libatomic.so.1' to '/usr/lib/' with the following command:

Code: Select all

sudo cp libatomic.so.1 /usr/lib/
http://www.amigalinux.org
http://www.supertuxkart-amiga.de

Running Linux on AmigaONEs can require some tinkering.
User avatar
xeno74
Posts: 9380
Joined: Fri Mar 23, 2012 7:58 am

Re: Arctic Fox

Post by xeno74 »

You need the libstdc++-4.8-dev_4.8.1-2ubuntu1~10.04.1_powerpc.deb for Arctic Fox on Ubuntu 10.04 additionally.

I uploaded it: libstdc++-4.8-dev_4.8.1-2ubuntu1~10.04.1_powerpc.deb


Further packages from the Ubuntu toolchain repository:

https://launchpad.net/~ubuntu-toolchain-r

Screenshot of Ubuntu 10.04 PowerPC with the new Arctic Fox 44.0 on a G3 clamshell:

Image
http://www.amigalinux.org
http://www.supertuxkart-amiga.de

Running Linux on AmigaONEs can require some tinkering.
User avatar
xeno74
Posts: 9380
Joined: Fri Mar 23, 2012 7:58 am

Re: Arctic Fox

Post by xeno74 »

Maybe you need Python 2.7 for compiling Arctic Fox. I had to compile Python 2.7 because Arctic Fox depends on Python 2.7 but it wasn't difficult to compile it.

Compiling Python:

Code: Select all

./configure --prefix=/usr

Code: Select all

make

Code: Select all

sudo make install
http://www.amigalinux.org
http://www.supertuxkart-amiga.de

Running Linux on AmigaONEs can require some tinkering.
User avatar
xeno74
Posts: 9380
Joined: Fri Mar 23, 2012 7:58 am

Re: Arctic Fox

Post by xeno74 »

xeno74 wrote: Wed Mar 27, 2024 5:24 pm Issue: ViewTube: Couldn't get the script link. Please report it here.

Solution: about:config - Search: useragent.override.youtube.com and delete the value.
It seems there is a fix.
“Poe Tam” wrote: viewtube has release test version for "couldn't get the script link" error, it works on 44.0 with useragent value setting
Link: gitlab.com/sebaro/ViewTube

You can configure the user agent with about:config - Search: useragent.override.youtube.com and set the value to Mozilla/5.0 (iPad; CPU OS 10_2_1 like Mac OS X) AppleWebKit/602.4.6 (KHTML, like Gecko) Version/10.0 Mobile/14D27 Safari/602.1.

After that YouTube uses the mobile version of their site (https://m.youtube.com) and this website works with the add-on ViewTube.
http://www.amigalinux.org
http://www.supertuxkart-amiga.de

Running Linux on AmigaONEs can require some tinkering.
Post Reply